/** (c) 2002 by Bhaskaran Raman and Regents of the University of California */
/** Test the GenLat class */

#include <iostream>
#include <unistd.h>
#include <stdio.h>

#include "GenLat.h"
#include "../util/Util.h"

int main(int argc, char *argv[]) {
  util_init();
  // Init the debug object
  struct timeval startTime;
  gettimeofday(&startTime, NULL);
  char logFile[128];
  unsigned short mySCID = 0;
  sprintf(logFile, "/tmp/fwd-log.%d", mySCID);
  Debug_t dbg(logFile, mySCID, startTime, cfg_to_file, cfg_use_stream);

  GenLat_t g(200, 21*1000, &dbg);

  for(;;) {
    cerr << g.currLat() << endl;
    usleep(500*1000);
  }

} // End main()
