/** (c) 2002 by Bhaskaran Raman and Regents of the University of California */
/** Implements noop.h */

#include "noop.h"

#include "../util/Util.h"

noop::noop(noop_client_info_t *arg_cl_list, int max_cl, Debug_t *dbg)
  :generic_service(arg_cl_list, max_cl, dbg) {
  cl_list = arg_cl_list;
} // End noop::noop()

JString noop::myName() {
  return "noop";
} // End noop::myName()

void noop::handleCreate(ServCompIFPkt_t *sPkt, ServCompIFPkt_t *resp_sPkt) {
  generic_service::handleCreate(sPkt, resp_sPkt, PROCESSING_CL);
} // End noop::handleCreate()
