/** (c) 2002 by Bhaskaran Raman and Regents of the University of California */
/** Implements Bunch.h */

#include "Bunch.h"

void Bunch::addInfo(unsigned short scid, int pathID,
		    unsigned short path_dest_scid,
		    unsigned short version) {

  int ind = -1;
  for(unsigned int i = 0; i < peerList.size(); i++) {
    if(peerList[i].scid == scid) {
      ind = i; break;
    }
  }
  if(ind == -1) {
    peerPatchInfo_t peerP;
    peerP.scid = scid;
    ind = peerList.size();
    peerList.push_back(peerP);
  }

  peerPatchInfo_t &peerP = peerList[ind];
  patchInfo_t patch;
  patch.pathID = pathID;
  patch.path_dest_scid = path_dest_scid;
  patch.version = version;

  peerP.vPatch.push_back(patch);

} // End Bunch::addInfo()
