#!/usr/bin/perl

# Program to generate scid mapping for a given number of nodes

sub usage {
    print STDERR "Usage: $0 <num-nodes>\n";
} # End usage()

MAIN: {
    ($#ARGV == 0) || do { usage(); exit(1); };
    my $numNodes = shift;

    print STDERR "Generating scid mapping for $numNodes nodes\n";
    for(my $i = 1; $i <= $numNodes; $i++) {
	print STDOUT "$i\t10.0.0.$i\n";
    }

} # End MAIN
