# This is an old plot file, with plot commands for n=8 and n=20

#set term postscript eps monochrome

set xlabel 'Number of paths'
set ylabel 'Time to recovery'

#set output 'delay-8.eps'
plot \
'alt-done-gr-8.out' using 1:2 \
        t'e2e' with linespoints pt 1,\
'alt-done-e2e-gr-8.out' using 1:2 \
        t'e2e-only' with linespoints pt 2,\
'redir-gr-8.out' using 1:2 \
        t'local-redir' with linespoints pt 3,\
'alt-done-gr-8.out' using 1:2:3 \
        notitle with yerrorbars pt 1,\
'alt-done-e2e-gr-8.out' using 1:2:3 \
        notitle with yerrorbars pt 2,\
'redir-gr-8.out' using 1:2:3 \
        notitle with yerrorbars pt 3

#set output 'delay-20.eps'
plot \
'alt-done-gr-20.out' using 1:2 \
        t'e2e' with linespoints pt 1,\
'alt-done-e2e-gr-20.out' using 1:2 \
        t'e2e-only' with linespoints pt 2,\
'redir-gr-20.out' using 1:2 \
        t'local-redir' with linespoints pt 3,\
'alt-done-gr-20.out' using 1:2:3 \
        notitle with yerrorbars pt 1,\
'alt-done-e2e-gr-20.out' using 1:2:3 \
        notitle with yerrorbars pt 2,\
'redir-gr-20.out' using 1:2:3 \
        notitle with yerrorbars pt 3

#set output 'delay-e2e.eps'
plot \
'alt-done-e2e-gr-8.out' using 1:2 \
        t'n=8' with linespoints pt 1,\
'alt-done-e2e-gr-20.out' using 1:2 \
        t'n=20' with linespoints pt 2,\
'alt-done-e2e-gr-8.out' using 1:2:3 \
        notitle with yerrorbars pt 2,\
'alt-done-e2e-gr-20.out' using 1:2:3 \
        notitle with yerrorbars pt 2

set xlabel 'Number of paths'
set ylabel '%paths that have >1.5sec recovery time'
#set output 'above1500.eps'
plot \
'alt-done-e2e-gr-8.out' using 1:4 \
	t'e2e-only,n=8' with linespoints pt 1,\
'alt-done-e2e-gr-20.out' using 1:4 \
	t'e2e-only,n=20' with linespoints pt 1
