/** (c) 2002 by Bhaskaran Raman and Regents of the University of California */
/** Program to test if desctructor works properly on vectors */

#include <iostream>
#include <vector>

class aType {
public:
  int x;
  aType() { cerr << "aType constructor" << endl; }
  ~aType() { cerr << "aType destructor " << x << endl; }
};

struct eltType {
  aType a1;
  aType a2;
};

int main(int argc, char *argv[]) {
  vector<eltType> vec;
  for(int i = 0; i < 10; i++) {
    class aType a1;
    a1.x = i;
    class aType a2;
    a2.x = -i;
    struct eltType e1 = { a1, a2 };
    vec.push_back(e1);
  }
  cerr << "all elements inserted" << endl;

  while(vec.size() > 0) {
    vec.pop_back();
  }
  cerr << "all elements deleted" << endl;

  vector<eltType> vec1;
  vec1.reserve(4);
  cerr << vec1[0].a1.x << " " << vec1[0].a2.x << endl;
  cerr << vec1[4].a1.x << " " << vec1[4].a2.x << endl;
  cerr << "size after reserving four = " << vec1.size() << endl;

} // End main()
