#include <iostream>
#include <string>
#include <string.h>
#include "JString.h"
#include "BDString.h"

// some changes after tagging v1_0

int f1(string s1) {
  string s2 = s1;
  if(s1 == s2) {
    return s1.length();
  } else {
    return 0;
  }
}

int j_f1(JString s1) {
  JString s2 = s1;
  if(s1 == s2) {
    return s1.length();
  } else {
    return 0;
  }
}

int bd_f1(BDString s1) {
  BDString s2 = s1;
  if(s1 == s2) {
    return s1.length();
  } else {
    return 0;
  }
}

void usage(const char *progname) {
  cerr << "Usage: " << progname << " <num-iter>" << endl;
}

int main(int argc, char *argv[]) {

  if(argc != 2) { usage(argv[0]); exit(1); }
  int numIter = atoi(argv[1]);

  for(int i = 0; i < numIter; i++) {
    int a = f1("f1");
    int b = j_f1("j_f1");
    int c = bd_f1("bd_f1");;
    int d = a+b+c;
    if(c > 100) break;
  }

} // End main()
