/** (c) 2002 by Bhaskaran Raman and Regents of the University of California */
#include <pthread.h>
#include <math.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netdb.h>

int x;
pthread_mutexattr_t mattr;
pthread_mutex_t m1;

void* thread1(void *arg) {
  for(int i = 0; i < 1000; i++) {
    pthread_mutex_lock(&m1);
    int y = x;
    float a = 3;
    for(int j = 0; j < 10; j++) {
      a = log(a);
      a = exp(a);
    }
    x = y+1;
    pthread_mutex_unlock(&m1);
  }
  return 0;
} // End thread1()

int main(int argc, char *argv[]) {

  x = 0;
  pthread_t thr1, thr2;
  pthread_mutex_init(&m1, NULL);
  //pthread_mutex_unlock(&m1);
  pthread_create(&thr1, NULL, thread1, 0);
  pthread_create(&thr2, NULL, thread1, 0);
  pthread_join(thr1, 0);
  pthread_join(thr2, 0);
  fprintf(stderr, "x = %d\n", x);

  int sock_fd = socket(PF_INET, SOCK_RDM, getprotobyname("udp")->p_proto);
  if(sock_fd < 0) {
    perror("socket");
  }

} // End main()
