/** (c) 2002 by Bhaskaran Raman and Regents of the University of California */
#include <iostream>
#include <netdb.h>

#include "Util.h"

int main(int argc, char *argv[]) {
  util_init();
  cerr << "myIP:" << ip2str(myIP) << endl;
  if(argc != 3) {
    cerr << "Usage: " << argv[0] << " <ip-address> <string-to-split>" << endl;
    exit(1);
  }
  char *hostName = argv[1];
  char *toSplit = argv[2];
  struct in_addr ipAddr = nslookup(hostName);
  cerr << hostName << ":\t" << ip2str(ipAddr) << endl;

  vector<JString> sVec;
  int numFields = split(toSplit, sVec);
  for(int i = 0; i < numFields; i++) {
    cerr << "sVec[" << i << "]=[" << sVec[i] << ']' << endl;
  }

  vector<char*> char_pVec;
  numFields = str_split_mutate(toSplit, char_pVec);
  for(int i = 0; i < numFields; i++) {
    cerr << "char_pVec[" << i << "]=[" << char_pVec[i] << ']' << endl;
  }
} // End main()
