/** (c) 2002 by Bhaskaran Raman and Regents of the University of California */
#ifndef EMAIL_H
#define EMAIL_H

/** Defines the class for the email service */

#include "../app/generic_service.h"
#include "email_client_info.h"

class email: public generic_service {
protected:
  email_client_info_t *cl_list;
  virtual email_client_info_t &get_cl(int cl_index) {
    return cl_list[cl_index];
  }
  virtual JString myName();
public:
  int main(int argc, char *argv[]);
  email(email_client_info_t *arg_cl_list, int max_cl, Debug_t *dbg);
  void handleCreate(ServCompIFPkt_t *sPkt, ServCompIFPkt_t *resp_sPkt);
  virtual ~email() {}
}; // End class email
typedef class email email_t;

#endif
