#set term postscript eps monochrome
#set term jpeg

#set output 'delay-rp.eps'
#set output 'delay-rp.jpg'

set xlabel 'Packet rate (pkts/sec)'
set ylabel 'Average additional delay (ms)'
plot \
'gr-250.out' using 1:3 \
        t'pktSize=250' with linespoints pt 1,\
'gr-250.out' using 1:3:4 \
        notitle with yerrorbars pt 1,\
'gr-500.out' using 1:3 \
        t'pktSize=500' with linespoints pt 1,\
'gr-500.out' using 1:3:4 \
        notitle with yerrorbars pt 1,\
'gr-800.out' using 1:3 \
        t'pktSize=800' with linespoints pt 1,\
'gr-800.out' using 1:3:4 \
        notitle with yerrorbars pt 1,\
'gr-1100.out' using 1:3 \
        t'pktSize=1100' with linespoints pt 1,\
'gr-1100.out' using 1:3:4 \
        notitle with yerrorbars pt 1,\
'gr-1400.out' using 1:3 \
        t'pktSize=1400' with linespoints pt 1,\
'gr-1400.out' using 1:3:4 \
        notitle with yerrorbars pt 1


set xlabel 'Packet rate (pkts/sec)'
set ylabel '% pkts missed by emulator'
plot \
'gr-250.out' using 1:2 \
        t'pktSize=250' with linespoints pt 1,\
'gr-500.out' using 1:2 \
        t'pktSize=500' with linespoints pt 1,\
'gr-800.out' using 1:2 \
        t'pktSize=800' with linespoints pt 1,\
'gr-1100.out' using 1:2 \
        t'pktSize=1100' with linespoints pt 1,\
'gr-1400.out' using 1:2 \
        t'pktSize=1400' with linespoints pt 1
