/** (c) 2002 by Bhaskaran Raman and Regents of the University of California */
#ifndef NOOP_H
#define NOOP_H

/** Defines the class for the email service */

#include "../app/generic_service.h"
#include "noop_client_info.h"

class noop: public generic_service {
protected:
  noop_client_info_t *cl_list;
  virtual noop_client_info_t &get_cl(int cl_index) {
    return cl_list[cl_index];
  }
  virtual JString myName();
public:
  noop(noop_client_info_t *arg_cl_list, int max_cl, Debug_t *dbg);
  virtual void handleCreate(ServCompIFPkt_t *sPkt, ServCompIFPkt_t *resp_sPkt);
  virtual ~noop() {}
}; // End class noop
typedef class noop noop_t;

#endif
