# This is the plot file for an old version of the SIGMETRICS'02 paper

set term postscript eps monochrome
#set term jpeg

set xlabel 'Time to recovery (ms)'
set ylabel 'Cumulative percentage'

set xrange [*:*]
set output 'cdf-delay-old.eps'
#set output 'cdf-delay.jpg'
plot \
'imp-cdf.out' using 1:2 \
        notitle with lines

set xrange [0:5000]
set output 'cdf-delay2-old.eps'
#set output 'cdf-delay2.jpg'
plot \
'imp-cdf.out' using 1:2 \
        notitle with lines

set xrange [*:*]
set output 'cdf-delay.eps'
#set output 'cdf-delay.jpg'
plot \
'imp-cdf2.out' using 1:2 \
        notitle with lines

set xrange [0:5000]
set output 'cdf-delay2.eps'
#set output 'cdf-delay2.jpg'
plot \
'imp-cdf2.out' using 1:2 \
        notitle with lines

set xrange [*:*]
set output 'cdf-1-6.eps'
#set output 'cdf-1-6.jpg'
plot \
'cdf-01.out' using 1:2 t'load=100' with linespoints, \
'cdf-02.out' using 1:2 t'load=214' with linespoints, \
'cdf-03.out' using 1:2 t'load=300' with linespoints, \
'cdf-04.out' using 1:2 t'load=388' with linespoints, \
'cdf-05.out' using 1:2 t'load=456' with linespoints, \
'cdf-06.out' using 1:2 t'load=542' with linespoints, \
f(x)=a, a=90, f(x) notitle, \
'dummy.out' using 1:2 notitle with linespoints

set xrange [*:*]
set output 'cdf-7-12.eps'
#set output 'cdf-7-12.jpg'
plot \
'cdf-07.out' using 1:2 t'load=631' with linespoints, \
'cdf-08.out' using 1:2 t'load=695' with linespoints, \
'cdf-09.out' using 1:2 t'load=918' with linespoints, \
'cdf-10.out' using 1:2 t'load=1055' with linespoints, \
'cdf-11.out' using 1:2 t'load=1115' with linespoints, \
'cdf-12.out' using 1:2 t'load=1537' with linespoints

set xrange [*:*]
set output 'cdf-1-12.eps'
#set output 'cdf-1-12.jpg'
plot \
'cdf-01.out' using 1:2 t'load=100' with linespoints, \
'cdf-02.out' using 1:2 t'load=214' with linespoints, \
'cdf-03.out' using 1:2 t'load=300' with linespoints, \
'cdf-04.out' using 1:2 t'load=388' with linespoints, \
'cdf-05.out' using 1:2 t'load=456' with linespoints, \
'cdf-06.out' using 1:2 t'load=542' with linespoints, \
'cdf-07.out' using 1:2 t'load=631' with linespoints, \
'cdf-08.out' using 1:2 t'load=695' with linespoints, \
'cdf-09.out' using 1:2 t'load=918' with linespoints, \
'cdf-10.out' using 1:2 t'load=1055' with linespoints, \
'cdf-11.out' using 1:2 t'load=1115' with linespoints, \
'cdf-12.out' using 1:2 t'load=1537' with linespoints

set xrange [*:*]
set output 'cdf-local.eps'
#set output 'cdf-local.jpg'
plot \
'cdf-01.out' using 1:2 t'e2e' with lines, \
'cdf-local-01.out' using 1:2 t'local' with lines

set xrange [*:*]
set output 'cdf-40-20.eps'
#set output 'cdf-40-20.jpg'
plot \
'cdf-08.out' using 1:2 t'n=20,p=5000,load=695' with lines, \
'cdf-40-08.out' using 1:2 t'n=40,p=5000,load=682' with lines, \
'cdf-40-08-1.out' using 1:2 t'n=40,p=10000,load=718' with lines
