
jpeg_type=1
eps_type=2
#op_type=jpeg_type
op_type=eps_type

if(op_type == eps_type) \
	set term postscript eps monochrome
if(op_type == jpeg_type) \
	set term jpeg

set xlabel 'Gap between successive packet arrivals at client (ms)'
set ylabel 'Cumulative percentage'

if(op_type == eps_type) \
	set output 'all-app-gap.eps'
if(op_type == jpeg_type) \
	set output 'all-app-gap.jpg'
set xrange [*:*]
plot \
	'us-war-tts-1-1-100.out' using 1:2 title'send' with linespoints, \
	'us-war-tts-sink-jake.CS.Berkeley.EDU.out' using 1:2 title'recv' with linespoints, \
	'eq-len-tts-1-1-100.out' using 1:2 title'eq-send' with linespoints, \
	'eq-len-tts-sink-jake.CS.Berkeley.EDU.out' using 1:2 title'eq-recv' with linespoints, \
	'leg1-tts-sink-jake.CS.Berkeley.EDU.out' using 1:2 title'leg1-fail' with linespoints, \
	'leg2-tts-sink-jake.CS.Berkeley.EDU.out' using 1:2 title'leg2-fail' with linespoints

if(op_type == eps_type) \
	set output 'app-gap.eps'
if(op_type == jpeg_type) \
	set output 'app-gap.jpg'
set xrange [0:5000]
plot \
	'eq-len-tts-sink-jake.CS.Berkeley.EDU.out' using 1:2 title'No failures' with linespoints, \
	'leg1-tts-sink-jake.CS.Berkeley.EDU.out' using 1:2 title'Failure of leg1' with linespoints, \
	'leg2-tts-sink-jake.CS.Berkeley.EDU.out' using 1:2 title'Failure of leg2' with linespoints, \
	'no-recov-tts-sink-jake.CS.Berkeley.EDU.out' using 1:2 title'Failure of leg2, no recovery' with linespoints

if(op_type == eps_type) \
	set output 'app-gap2.eps'
if(op_type == jpeg_type) \
	set output 'app-gap2.jpg'
set xrange [0:5000]
plot \
	'leg2-tts-sink-jake.CS.Berkeley.EDU.out' using 1:2 title'With recovery' with linespoints, \
	'no-recov-tts-sink-jake.CS.Berkeley.EDU.out' using 1:2 title'Without recovery' with linespoints
